Package: org.gradle.api.tasks.testing.logging

## [Java] Interface TestLoggingContainer

- org.gradle.api.tasks.testing.logging.TestLogging

- All Superinterfaces:
    TestLogging

  Container for all test logging related options. Different options can be set for each log level. Options that are set directly (without specifying a log level) apply to log level LIFECYCLE. Example:

       apply plugin: 'java'

       test {
           testLogging {
               // set options for log level LIFECYCLE
               events "failed"
               exceptionFormat "short"

               // set options for log level DEBUG
               debug {
                   events "started", "skipped", "failed"
                   exceptionFormat "full"
               }

               // remove standard output/error logging from --info builds
               // by assigning only 'failed' and 'skipped' events
               info.events = ["failed", "skipped"]
           }
       }

  The defaults that are in place show progressively more information on log levels LIFECYCLE, INFO, and DEBUG, respectively.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `debug(Action<TestLogging> action)` Configures logging options for debug level.
    `void` | `error(Action<TestLogging> action)` Configures logging options for error level.
    `TestLogging` | `get(LogLevel level)` Returns logging options for the specified level.
    `TestLogging` | `getDebug()` Returns logging options for debug level.
    `TestLogging` | `getError()` Returns logging options for error level.
    `TestLogging` | `getInfo()` Gets logging options for info level.
    `TestLogging` | `getLifecycle()` Returns logging options for lifecycle level.
    `TestLogging` | `getQuiet()` Returns logging options for quiet level.
    `TestLogging` | `getWarn()` Gets logging options for warn level.
    `void` | `info(Action<TestLogging> action)` Configures logging options for info level.
    `void` | `lifecycle(Action<TestLogging> action)` Configures logging options for lifecycle level.
    `void` | `quiet(Action<TestLogging> action)` Configures logging options for quiet level.
    `void` | `setDebug(TestLogging logging)` Sets logging options for debug level.
    `void` | `setError(TestLogging logging)` Sets logging options for error level.
    `void` | `setInfo(TestLogging logging)` Sets logging options for info level.
    `void` | `setLifecycle(TestLogging logging)` Sets logging options for lifecycle level.
    `void` | `setQuiet(TestLogging logging)` Sets logging options for quiet level.
    `void` | `setWarn(TestLogging logging)` Sets logging options for warn level.
    `void` | `warn(Action<TestLogging> action)` Configures logging options for warn level.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface TestLogging` | `events, getDisplayGranularity, getEvents, getExceptionFormat, getMaxGranularity, getMinGranularity, getShowCauses, getShowExceptions, getShowStackTraces, getShowStandardStreams, getStackTraceFilters, setDisplayGranularity, setEvents, setExceptionFormat, setMaxGranularity, setMinGranularity, setShowCauses, setShowExceptions, setShowStackTraces, setShowStandardStreams, setStackTraceFilters, stackTraceFilters`

- - ### Method Detail

    - #### public void debug(Action<TestLogging> action)

      Configures logging options for debug level.

      Parameters:
        `action` - logging options for debug level

    - #### public void error(Action<TestLogging> action)

      Configures logging options for error level.

      Parameters:
        `action` - logging options for error level

    - #### public TestLogging get(LogLevel level)

      Returns logging options for the specified level.

      Parameters:
        `level` - the level whose logging options are to be returned
      Returns:
        logging options for the specified level

    - #### public TestLogging getDebug()

      Returns logging options for debug level.

      Returns:
        logging options for debug level

    - #### public TestLogging getError()

      Returns logging options for error level.

      Returns:
        logging options for error level

    - #### public TestLogging getInfo()

      Gets logging options for info level.

      Returns:
        logging options for info level

    - #### public TestLogging getLifecycle()

      Returns logging options for lifecycle level.

      Returns:
        logging options for lifecycle level

    - #### public TestLogging getQuiet()

      Returns logging options for quiet level.

      Returns:
        logging options for quiet level

    - #### public TestLogging getWarn()

      Gets logging options for warn level.

      Returns:
        logging options for warn level

    - #### public void info(Action<TestLogging> action)

      Configures logging options for info level.

      Parameters:
        `action` - logging options for info level

    - #### public void lifecycle(Action<TestLogging> action)

      Configures logging options for lifecycle level.

      Parameters:
        `action` - logging options for lifecycle level

    - #### public void quiet(Action<TestLogging> action)

      Configures logging options for quiet level.

      Parameters:
        `action` - logging options for quiet level

    - #### public void setDebug(TestLogging logging)

      Sets logging options for debug level.

      Parameters:
        `logging` - logging options for debug level

    - #### public void setError(TestLogging logging)

      Sets logging options for error level.

      Parameters:
        `logging` - logging options for error level

    - #### public void setInfo(TestLogging logging)

      Sets logging options for info level.

      Parameters:
        `logging` - logging options for info level

    - #### public void setLifecycle(TestLogging logging)

      Sets logging options for lifecycle level.

      Parameters:
        `logging` - logging options for lifecycle level

    - #### public void setQuiet(TestLogging logging)

      Sets logging options for quiet level.

      Parameters:
        `logging` - logging options for quiet level

    - #### public void setWarn(TestLogging logging)

      Sets logging options for warn level.

      Parameters:
        `logging` - logging options for warn level

    - #### public void warn(Action<TestLogging> action)

      Configures logging options for warn level.

      Parameters:
        `action` - logging options for warn level